rpm: rpmQVKArguments_s Struct Reference

rpm 4.16.1.3

Data Fields
rpmQVKArguments_s Struct Reference
I/O » Command Line API.

Describe query/verify/signature command line operation. More...

`#include <rpmcli.h>`

Collaboration diagram for rpmQVKArguments_s:
[legend]

## Data Fields
rpmQVSources | qva_source
int | qva_sourceCount
rpmQueryFlags | qva_flags
rpmfileAttrs | qva_incattr
rpmfileAttrs | qva_excattr
rpmVerifyAttrs | qva_ofvattr
QVF_t | qva_showPackage
QSpecF_t | qva_specQuery
char * | qva_queryFormat
char | qva_mode

## Detailed Description

Describe query/verify/signature command line operation.

Definition at line 164 of file rpmcli.h.

## Field Documentation

## ◆ qva_excattr

rpmfileAttrs rpmQVKArguments_s::qva_excattr

Bit(s) to exclude on attribute.

Definition at line 169 of file rpmcli.h.

## ◆ qva_flags

rpmQueryFlags rpmQVKArguments_s::qva_flags

Bit(s) to control operation.

Definition at line 167 of file rpmcli.h.

## ◆ qva_incattr

rpmfileAttrs rpmQVKArguments_s::qva_incattr

Bit(s) to include on attribute.

Definition at line 168 of file rpmcli.h.

## ◆ qva_mode

char rpmQVKArguments_s::qva_mode

- 'q' from –query, -q
- 'Q' from –querytags
- 'V' from –verify, -V
- 'I' from –import
- 'K' from –checksig, -K

Definition at line 176 of file rpmcli.h.

## ◆ qva_ofvattr

rpmVerifyAttrs rpmQVKArguments_s::qva_ofvattr

Bit(s) to omit on file verification.

Definition at line 171 of file rpmcli.h.

## ◆ qva_queryFormat

char* rpmQVKArguments_s::qva_queryFormat

Format for headerFormat().

Definition at line 175 of file rpmcli.h.

## ◆ qva_showPackage

QVF_t rpmQVKArguments_s::qva_showPackage

Function to display iterator matches.

Definition at line 173 of file rpmcli.h.

## ◆ qva_source

rpmQVSources rpmQVKArguments_s::qva_source

Identify CLI arg type.

Definition at line 165 of file rpmcli.h.

## ◆ qva_sourceCount

int rpmQVKArguments_s::qva_sourceCount

Exclusive option check (>1 is error).

Definition at line 166 of file rpmcli.h.

## ◆ qva_specQuery

QSpecF_t rpmQVKArguments_s::qva_specQuery

Function to query spec file.

Definition at line 174 of file rpmcli.h.

The documentation for this struct was generated from the following file:

- rpmcli.h